Bug 396611 - ruby-docs may contain world-writeable files
ruby-docs may contain world-writeable files
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ruby (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: Vít Ondruch
QE Internationalization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 06:49 EST by Jan Iven
Modified: 2012-06-20 12:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:10:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Iven 2007-11-23 06:49:36 EST
Description of problem:

japanese help files (refm-ja) in ruby-docs may be world-writeable, e.g.
/usr/share/doc/ruby-docs-1.8.1/refm-ja/refm375.html

Apparently the upstream tarball already contains weird permissions. The "tar"
command in rpmbuild will silently sanitize these - but only if not running as
'root'. This means that the default packages on RHREL/Fedora are OK (both build
via 'brewbuilder'), but local RPM rebuilds may end up with world-writeable files
on the file system. This is a (rather minor) security issue. I'd also recommedn
to make the "sanitizing" aspect explicit, this seems to be underdocumented...


Version-Release number of selected component (if applicable):
ruby-docs-1.8.1-7.EL4.8.1

How reproducible:
always

Steps to Reproduce:
1. as 'root', run rpmbuild --rebuild ruby..
2. check permissions of the files in the RPM
3.
  
Actual results:
..
-rw-rw-rw-   1 1000  513    3106 Oct 17  2003 refm002.html
-rw-rw-rw-   1 1000  513    1785 Nov 11  2001 refm003.html 
..
Expected results:
..
-rw-r--r--   1 1000  513    3106 Oct 17  2003 refm002.html
-rw-r--r--   1 1000  513    1785 Nov 11  2001 refm003.html 
..
Additional info:

I would suggest a quick 'chmod -R ...' in the spec file since apparently the
"upstream" tarballs get (re-)created on a weird system.
Comment 1 RHEL Product and Program Management 2010-10-22 15:00:00 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 2 Jiri Pallich 2012-06-20 12:10:19 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.